Bug 53930 - build-root path is compiled in
build-root path is compiled in
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: python (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-21 19:09 EDT by Enrico Scholz
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version: 2.2.3-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 18:43:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-09-21 19:09:48 EDT
Description of Problem:

The build-root path is compiled into the .pyc and .pyo files. When printing
a traceback this path will be shown.


Version-Release number of selected component (if applicable):

python-2.2-0.3a


How Reproducible:

everytime

Steps to Reproduce:
1. cat <<"EOF" >test.py
import sys,traceback,xmlrpclib

try:
    xmlrpclib.dumps( ('foo', 'bar'), methodresponse=1 )
except:
    traceback.print_exc(file=sys.stdout)
EOF
2. python test.py


Actual Results:

Traceback (most recent call last):
  File "<stdin>", line 2, in ?
  File "/var/tmp/python-2.2-root/usr/lib/python2.2/xmlrpclib.py", line 737,
in dumps
    assert len(params) == 1, "response tuple must be a singleton"
AssertionError: response tuple must be a singleton


Expected Results:

no '/var/tmp/python-2.2-root' in the path of xmlrpclib.py
Comment 1 Trond Eivind Glomsrxd 2002-08-13 19:12:22 EDT
Still a problem.
Comment 2 Mihai Ibanescu 2002-10-21 17:43:35 EDT
Fixed in python-2.2.1-18.
Comment 3 Miloslav Trmac 2004-02-04 18:43:20 EST
Fix confirmed in python-2.2.3-7.

Note You need to log in before you can comment on or make changes to this bug.